package test;

import static org.junit.Assert.*;

import java.lang.ref.PhantomReference;
import java.lang.ref.ReferenceQueue;

import junit.framework.TestCase;

import org.eclipse.swt.*;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.internal.runners.TestClass;

abstract public class ListViewTest  extends TestCase{
	
	static Display display = null;
	static Shell shell = null;
	static Composite comp = null;
	
	@Before
	public void setUp() throws Exception {
		//display = new Display();
		display = null;
		
		shell = new Shell(display);
		shell.setBounds(0, 0, 400, 300);
		shell.setLayout(new FillLayout());
		shell.setText("Test");

		comp = new Composite(shell, SWT.NONE);
		comp.setLayout(new FillLayout());
	}

	@After
	public void tearDown() throws Exception {
		comp.dispose();
		shell.dispose();
		//display.dispose();
	}

    public void myGC(){
	int array[] = new int[20000];
	int i;
	for(i=0;i<20000;++i) array[i] = 20000-i;
	
	System.gc();
	
	int array2[] = new int[20000];
	for(i=0;i<20000;++i) array2[i] = 20000-i;
	

	try{
	    Thread.sleep(5);
	} catch (InterruptedException e) {
	    System.out.println("interrupt");
	}
	System.runFinalization();

	int j;
	for(i=0;i<20000;++i){
	    for(j=0;j<i;++j){
		if(array[i] > array[j]){
		    array[i] ^= array[j];
		    array[j] ^= array[i];
		    array[i] ^= array[j];
		}
	    }
	}
    }
}



/*
shell.open();

while (!shell.isDisposed()) {
	if (!display.readAndDispatch()) {
		display.sleep();
	}
}
*/