package test; 
import com.aelitis.azureus.ui.swt.views.list.*;


import static org.junit.Assert.*;

import java.lang.ref.PhantomReference;
import java.lang.ref.ReferenceQueue;

import junit.framework.TestCase;

import org.eclipse.swt.*;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.internal.runners.TestClass;

public class ListViewTest5  extends ListViewTest{
	
	@Test
	public void testHandleResizeE() {
		ListView target = new ListView("TEST CASE #1", null,
				comp, null,  SWT.NONE);
		
		assertTrue(target.listCanvas != null);
		target.listCanvas.setBounds(10, 10, 100, 100);

		boolean mem1 = target.adjustingColumns;
		int mem2 = target.graphicsUpdate;
		Image mem3 = target.imgView;
		int mem4 = target.lastVisColumnWidth;
		Canvas mem5 = target.listCanvas;
		Object[] mem6 = target.restartRefreshVisible;
		boolean mem7 = target.viewVisible;
		
		target.setHeaderArea(comp, null, null);
		
		assertTrue(mem1 == target.adjustingColumns);
		assertTrue(mem2 == target.graphicsUpdate);
		assertTrue(mem3 == target.imgView);
		assertTrue(mem4 == target.lastVisColumnWidth);
		assertTrue(mem5 == target.listCanvas);
		assertTrue(mem6 == target.restartRefreshVisible);
		assertTrue(mem7 == target.viewVisible);

		mem3 = null;
		myGC();
		assertTrue(Image.numberOfNonDisposed() == 0);
	}
	
}

