/*
 * CairoOperator.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.freedesktop.cairo;

import org.freedesktop.cairo.Plumbing;

final class CairoOperator extends Plumbing
{
    private CairoOperator() {}

    static final int CLEAR = 0;

    static final int SOURCE = 1;

    static final int OVER = 2;

    static final int IN = 3;

    static final int OUT = 4;

    static final int ATOP = 5;

    static final int DEST = 6;

    static final int DEST_OVER = 7;

    static final int DEST_IN = 8;

    static final int DEST_OUT = 9;

    static final int DEST_ATOP = 10;

    static final int XOR = 11;

    static final int ADD = 12;

    static final int SATURATE = 13;
}

