/*
 * AtkImplementorIface.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.atk;

import org.gnome.atk.ImplementorIface;
import org.gnome.atk.Object;
import org.gnome.atk.Plumbing;

final class AtkImplementorIface extends Plumbing
{
    private AtkImplementorIface() {}

    static final Object refAccessible(ImplementorIface self) {
        long result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = atk_implementor_ref_accessible(pointerOf((Object) self));

            return (Object) objectFor(result);
        }
    }

    private static native final long atk_implementor_ref_accessible(long self);
}

