/*
 * AtkRelationType.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.atk;

import org.gnome.atk.Plumbing;

final class AtkRelationType extends Plumbing
{
    private AtkRelationType() {}

    static final int NULL = 0;

    static final int CONTROLLED_BY = 1;

    static final int CONTROLLER_FOR = 2;

    static final int LABEL_FOR = 3;

    static final int LABELLED_BY = 4;

    static final int MEMBER_OF = 5;

    static final int NODE_CHILD_OF = 6;

    static final int LAST_DEFINED = 7;
}

