/*
 * GdkCursorType.c
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkCursorType.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1left_1ptr
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_LEFT_PTR;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1right_1ptr
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_LEFT_PTR;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1watch
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_WATCH;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1xterm
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_XTERM;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1left_1side
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_LEFT_SIDE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1right_1side
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_RIGHT_SIDE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1top_1left_1corner
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_TOP_LEFT_CORNER;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1top_1right_1corner
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_TOP_RIGHT_CORNER;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1top_1side
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_TOP_SIDE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1bottom_1left_1corner
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BOTTOM_LEFT_CORNER;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1bottom_1right_1corner
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BOTTOM_RIGHT_CORNER;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1bottom_1side
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_BOTTOM_SIDE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1fleur
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_FLEUR;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkCursorType_get_1ordinal_1cursor_1is_1pixmap
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GDK_CURSOR_IS_PIXMAP;
}
