/*
 * GtkFileChooserDialog.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.gtk;

import org.freedesktop.bindings.BlacklistedMethodError;
import org.freedesktop.bindings.FIXME;
import org.gnome.gtk.FileChooserAction;
import org.gnome.gtk.Plumbing;
import org.gnome.gtk.Window;

final class GtkFileChooserDialog extends Plumbing
{
    private GtkFileChooserDialog() {}

    static final long createFileChooserDialog(String title, Window parent, FileChooserAction action, String firstButtonText) {
        long result;

        if (action == null) {
            throw new IllegalArgumentException("action can't be null");
        }

        synchronized (lock) {
            result = gtk_file_chooser_dialog_new(title, pointerOf(parent), numOf(action), firstButtonText);

            return result;
        }
    }

    private static native final long gtk_file_chooser_dialog_new(String title, long parent, int action, String firstButtonText);
}

