/*
 * GtkScrollType.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.gtk;

import org.gnome.gtk.Plumbing;

final class GtkScrollType extends Plumbing
{
    private GtkScrollType() {}

    static final int NONE = 0;

    static final int JUMP = 1;

    static final int STEP_BACKWARD = 2;

    static final int STEP_FORWARD = 3;

    static final int PAGE_BACKWARD = 4;

    static final int PAGE_FORWARD = 5;

    static final int STEP_UP = 6;

    static final int STEP_DOWN = 7;

    static final int PAGE_UP = 8;

    static final int PAGE_DOWN = 9;

    static final int STEP_LEFT = 10;

    static final int STEP_RIGHT = 11;

    static final int PAGE_LEFT = 12;

    static final int PAGE_RIGHT = 13;

    static final int START = 14;

    static final int END = 15;
}

