/*
 * PangoAttrType.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.pango;

import org.gnome.pango.Plumbing;

final class PangoAttrType extends Plumbing
{
    private PangoAttrType() {}

    static final int INVALID = 0;

    static final int LANGUAGE = 1;

    static final int FAMILY = 2;

    static final int STYLE = 3;

    static final int WEIGHT = 4;

    static final int VARIANT = 5;

    static final int STRETCH = 6;

    static final int SIZE = 7;

    static final int FONT_DESC = 8;

    static final int FOREGROUND = 9;

    static final int BACKGROUND = 10;

    static final int UNDERLINE = 11;

    static final int STRIKETHROUGH = 12;

    static final int RISE = 13;

    static final int SHAPE = 14;

    static final int SCALE = 15;

    static final int FALLBACK = 16;

    static final int LETTER_SPACING = 17;

    static final int UNDERLINE_COLOR = 18;

    static final int STRIKETHROUGH_COLOR = 19;

    static final int ABSOLUTE_SIZE = 20;
}

