package org.eclipse.swt.tests.junit;

import junit.framework.*;
import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;

//public class SWTBug322222Fail extends TestCase{
public class SWTBug322222Fail extends SwtTestCase{

  public SWTBug322222Fail(String name) {
	super(name);
  }

  public static void main(String[] args) {
//	TestRunner.run(suite());
//    testSuccess();
//    testFail();
  }

/*
  static void test_Success() {
    final Shell shell = new Shell(Display.getDefault());
    final Table tableSuccess = new Table(shell, SWT.VIRTUAL);
    tableSuccess.setItemCount(100);
    tableSuccess.computeSize(SWT.DEFAULT, SWT.DEFAULT);
  
}
*/
  public static Test suite() {
	TestSuite suite = new TestSuite();
	java.util.Vector methodNames = new java.util.Vector();
	methodNames.addElement("test_pendingException");
	java.util.Enumeration e = methodNames.elements();
	while (e.hasMoreElements()) {
		suite.addTest(new SWTBug322222Fail((String)e.nextElement()));
	}
	return suite;
  }

public static void test_pendingException() {
	try {
		final Shell shell = new Shell (Display.getDefault ());
		final Table tableFail = new Table (shell, SWT.VIRTUAL);
		tableFail.setItemCount (100);
		tableFail.addListener (SWT.SetData, new Listener (){
				public void handleEvent (Event e){
					System.err.println("SWT.setData event is invoked");
				throw new RuntimeException ("Acceptable_JINN");
				}
				});
		System.err.println("computeSize");
		tableFail.computeSize (SWT.DEFAULT, SWT.DEFAULT);
		fail ("No Expected RuntimeException Occured");
	} catch (RuntimeException e){
		assertTrue (e.getMessage().equals ("Acceptable_JINN"));
	}
}
}
