package test; 
import com.aelitis.azureus.ui.swt.views.list.*;

import static org.junit.Assert.*;

import java.awt.Scrollbar;
import java.lang.ref.PhantomReference;
import java.lang.ref.ReferenceQueue;
import java.util.List;

import junit.framework.TestCase;

import org.eclipse.swt.*;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.internal.gtk.OS;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import org.gudy.azureus2.plugins.ui.tables.TableCell;
import org.gudy.azureus2.plugins.ui.tables.TableRowMouseEvent;
import org.gudy.azureus2.plugins.ui.tables.TableRowMouseListener;
import org.gudy.azureus2.ui.swt.views.table.TableCellSWT;
import org.gudy.azureus2.ui.swt.views.table.TableRowSWT;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.internal.runners.TestClass;

import com.aelitis.azureus.ui.common.table.TableCellCore;
import com.aelitis.azureus.ui.common.table.TableView;

public class ListViewTest11  extends ListViewTest{
	
	@Test
	public void testHandleResizeK() {
		ListView target = new ListView("TEST CASE #1", null,
				comp, null,  SWT.NONE);
		assertTrue(target.listCanvas != null);
		target.listCanvas.setBounds(10, 10, 100, 100);
		target.lastBounds = new Rectangle(0,  0,  1,  2);
		target.gcImgView = new GC(comp);
		
		target.viewVisible = true;
		
		Image backup = target.imgView;
		target.handleResize(false);
		assertTrue(target.imgView != null);
		assertTrue(backup.isDisposed());
		assertTrue(backup != target.imgView);

		backup = null;
		myGC();
		assertTrue(Image.numberOfNonDisposed() == 0);
	}
}

