/*
 * GdkPixbufAnimationIter.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.gdk;

import org.freedesktop.bindings.BlacklistedMethodError;
import org.freedesktop.bindings.FIXME;
import org.gnome.gdk.Pixbuf;
import org.gnome.gdk.PixbufAnimationIter;
import org.gnome.gdk.Plumbing;

final class GdkPixbufAnimationIter extends Plumbing
{
    private GdkPixbufAnimationIter() {}

    static final int getDelayTime(PixbufAnimationIter self) {
        int result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = gdk_pixbuf_animation_iter_get_delay_time(pointerOf(self));

            return result;
        }
    }

    private static native final int gdk_pixbuf_animation_iter_get_delay_time(long self);

    static final Pixbuf getPixbuf(PixbufAnimationIter self) {
        long result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = gdk_pixbuf_animation_iter_get_pixbuf(pointerOf(self));

            return (Pixbuf) objectFor(result);
        }
    }

    private static native final long gdk_pixbuf_animation_iter_get_pixbuf(long self);

    static final boolean onCurrentlyLoadingFrame(PixbufAnimationIter self) {
        boolean result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = gdk_pixbuf_animation_iter_on_currently_loading_frame(pointerOf(self));

            return result;
        }
    }

    private static native final boolean gdk_pixbuf_animation_iter_on_currently_loading_frame(long self);

    static final boolean advance(PixbufAnimationIter self, FIXME currentTime) throws BlacklistedMethodError {
        throw new BlacklistedMethodError("const-GTimeVal*");
    }
}

