/*
 * GdkPixbufSimpleAnim.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.gdk;

import org.gnome.gdk.Pixbuf;
import org.gnome.gdk.PixbufSimpleAnim;
import org.gnome.gdk.Plumbing;

final class GdkPixbufSimpleAnim extends Plumbing
{
    private GdkPixbufSimpleAnim() {}

    static final long createPixbufSimpleAnim(int width, int height, float rate) {
        long result;

        synchronized (lock) {
            result = gdk_pixbuf_simple_anim_new(width, height, rate);

            return result;
        }
    }

    private static native final long gdk_pixbuf_simple_anim_new(int width, int height, float rate);

    static final void addFrame(PixbufSimpleAnim self, Pixbuf pixbuf) {
        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        if (pixbuf == null) {
            throw new IllegalArgumentException("pixbuf can't be null");
        }

        synchronized (lock) {
            gdk_pixbuf_simple_anim_add_frame(pointerOf(self), pointerOf(pixbuf));
        }
    }

    private static native final void gdk_pixbuf_simple_anim_add_frame(long self, long pixbuf);
}

