/*
 * GdkPixmap.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.gdk;

import org.gnome.gdk.Drawable;
import org.gnome.gdk.Plumbing;

final class GdkPixmap extends Plumbing
{
    private GdkPixmap() {}

    static final long createPixmap(Drawable drawable, int width, int height, int depth) {
        long result;

        synchronized (lock) {
            result = gdk_pixmap_new(pointerOf(drawable), width, height, depth);

            return result;
        }
    }

    private static native final long gdk_pixmap_new(long drawable, int width, int height, int depth);
}

