/*
 * GtkTextChildAnchor.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.gtk;

import org.gnome.gtk.Plumbing;
import org.gnome.gtk.TextChildAnchor;
import org.gnome.gtk.Widget;

final class GtkTextChildAnchor extends Plumbing
{
    private GtkTextChildAnchor() {}

    static final long createTextChildAnchor() {
        long result;

        synchronized (lock) {
            result = gtk_text_child_anchor_new();

            return result;
        }
    }

    private static native final long gtk_text_child_anchor_new();

    static final Widget[] getWidgets(TextChildAnchor self) {
        long[] result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = gtk_text_child_anchor_get_widgets(pointerOf(self));

            return (Widget[]) objectArrayFor(result, new Widget[result.length]);
        }
    }

    private static native final long[] gtk_text_child_anchor_get_widgets(long self);

    static final boolean getDeleted(TextChildAnchor self) {
        boolean result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = gtk_text_child_anchor_get_deleted(pointerOf(self));

            return result;
        }
    }

    private static native final boolean gtk_text_child_anchor_get_deleted(long self);
}

