/*
 * GtkPageSetupUnixDialog.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.unixprint;

import org.gnome.gtk.PageSetup;
import org.gnome.gtk.PrintSettings;
import org.gnome.gtk.Window;
import org.gnome.unixprint.PageSetupUnixDialog;
import org.gnome.unixprint.Plumbing;

final class GtkPageSetupUnixDialog extends Plumbing
{
    private GtkPageSetupUnixDialog() {}

    static final long createPageSetupUnixDialog(String title, Window parent) {
        long result;

        synchronized (lock) {
            result = gtk_page_setup_unix_dialog_new(title, pointerOf(parent));

            return result;
        }
    }

    private static native final long gtk_page_setup_unix_dialog_new(String title, long parent);

    static final void setPageSetup(PageSetupUnixDialog self, PageSetup pageSetup) {
        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        if (pageSetup == null) {
            throw new IllegalArgumentException("pageSetup can't be null");
        }

        synchronized (lock) {
            gtk_page_setup_unix_dialog_set_page_setup(pointerOf(self), pointerOf(pageSetup));
        }
    }

    private static native final void gtk_page_setup_unix_dialog_set_page_setup(long self, long pageSetup);

    static final PageSetup getPageSetup(PageSetupUnixDialog self) {
        long result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = gtk_page_setup_unix_dialog_get_page_setup(pointerOf(self));

            return (PageSetup) objectFor(result);
        }
    }

    private static native final long gtk_page_setup_unix_dialog_get_page_setup(long self);

    static final void setPrintSettings(PageSetupUnixDialog self, PrintSettings printSettings) {
        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        if (printSettings == null) {
            throw new IllegalArgumentException("printSettings can't be null");
        }

        synchronized (lock) {
            gtk_page_setup_unix_dialog_set_print_settings(pointerOf(self), pointerOf(printSettings));
        }
    }

    private static native final void gtk_page_setup_unix_dialog_set_print_settings(long self, long printSettings);

    static final PrintSettings getPrintSettings(PageSetupUnixDialog self) {
        long result;

        if (self == null) {
            throw new IllegalArgumentException("self can't be null");
        }

        synchronized (lock) {
            result = gtk_page_setup_unix_dialog_get_print_settings(pointerOf(self));

            return (PrintSettings) objectFor(result);
        }
    }

    private static native final long gtk_page_setup_unix_dialog_get_print_settings(long self);
}

