/*
 * UnixprintPrintCapabilities.java
 *
 * Copyright (c) 2006-2009 Operational Dynamics Consulting Pty Ltd, and Others
 *
 * The code in this file, and the program it is a part of, are made available
 * to you by the authors under the terms of the "GNU General Public Licence,
 * version 2" plus the "Classpath Exception" (you may link to this code as a
 * library into other programs provided you don't make a derivation of it).
 * See the LICENCE file for the terms governing usage and redistribution.
 *
 *                      THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */
package org.gnome.unixprint;

import org.gnome.unixprint.Plumbing;

final class UnixprintPrintCapabilities extends Plumbing
{
    private UnixprintPrintCapabilities() {}

    static final int PAGE_SET = get_ordinal_page_set();

    private static native final int get_ordinal_page_set();

    static final int COPIES = get_ordinal_copies();

    private static native final int get_ordinal_copies();

    static final int COLLATE = get_ordinal_collate();

    private static native final int get_ordinal_collate();

    static final int REVERSE = get_ordinal_reverse();

    private static native final int get_ordinal_reverse();

    static final int SCALE = get_ordinal_scale();

    private static native final int get_ordinal_scale();

    static final int GENERATE_PDF = get_ordinal_generate_pdf();

    private static native final int get_ordinal_generate_pdf();

    static final int GENERATE_PS = get_ordinal_generate_ps();

    private static native final int get_ordinal_generate_ps();

    static final int PREVIEW = get_ordinal_preview();

    private static native final int get_ordinal_preview();
}

